Subject: [radext] Discussion on VSA defined in draft-ietf-radext-radius-extensions

From: Leaf yeh <[email-masked]>
Date: Fri, 16 Mar 2012 08:51:39 +0000

draft-ietf-radext-radius-extensions defined 6 new attributes, including 24x.26, to solve the issue on the type space exhaustion of VSA. Does it mean Huawei (IANA-PEN=2011) or any enterprise who has the exclusive vendor-id, will inherit these new type space defined in 24x.26 naturally?

On the other hand, I am thinking an alternative option for the enterprise who feel the pressure on the type space exhaustion of VSA, why do they not apply for a new exclusive vender-ID to get the extensive 255 new types? The Vendor-ID in the traditional VSA (26) has the length of 4-octect (=2^32). I can't see the exhaustion of Vendor-ID in the future. 

Just for the examples, Cisco already got 4 PENs, 4857/ 5771/ 5842 /26484; while China Telecom-Guangzhou Research and Development Center already got 2 PENs, 20236/20942. (http://www.iana.org/assignments/enterprise-numbers) 

If I am wrong (or it is a old question discussed before), pls. feel free to shoot on it.

Best Regards,
Leaf